<style scoped="">
.tech_support{
  padding-top: 120px;
  padding-bottom: 158px;
}

.tech_title{
  color: #353556;
  font-size: 36px;
  text-align: center;
  line-height: 1;
  padding-bottom: 68px;
}
.tech_des{
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  color: #353556;
  font-weight: 300;
  padding-bottom: 68px;
  margin-left: 10px;
  margin-right: 10px;
}
.vertical_slider_pane{
  display: flex;
  justify-content: center;
  align-items: center;
}
.content_pane{
  width: 960px;
  max-width: 960px;
  display: flex;
  box-shadow: 0px 0px 16px #eee;
  margin-left: 20px;
  margin-right: 20px;
  box-sizing: border-box;
}
.content_img{
  width: 38%;
  min-height: 362px;
  background: #eee;
}
.content_text_ct{
  width: 62%;
  padding: 55px 44px;
  position: relative;
  box-sizing: border-box;
}
.content_des{
  color: #636363;
  font-size: 18px;
  line-height: 32px;
  font-style: italic;
}
.content_tag{
  position: absolute;
  bottom: 45px;
  font-size: 18px;
  color: #0c0c0c;
  line-height: 1;
  font-weight: 500;
}
.bg1{
  background-image: url('../assets/images/数与产品简介-配图@2x.png');
  background-size: cover;
}
.pre{
  border-left: 1px solid #636363;
  border-bottom: 1px solid #636363;
  width: 20px;
  height: 20px;
  transform: rotateZ(45deg);
  left: 0px;
  cursor: pointer;
}
.pre:hover{
  border-left: 2px solid #000;
  border-bottom: 2px solid #000;
}
.next{
  transform: rotateZ(-135deg);
  left: auto;
  right: 0px;
}
.page_num{
  font-style: italic;
  color: #827f7f;
  font-size: 16px;
  position: absolute;
  right: 40px;
  bottom: 20px;
}
.page_num .pn1{
  font-size: 24px;
}
.conent_title{
  font-size: 18px;
  line-height: 1;
  padding-bottom: 25px;
}
@media (max-width: 800px) {
  .tech_title{
    padding-top: 30px;
    padding-bottom: 30px;
    font-size: 18px;
  }
  .content_pane{
    display: block;
  }
  .vertical_slider_pane{
    position: relative;
  }
  .content_img, .content_text_ct{
    width: 100%;
  }
  .tech_support{
    padding-top: 0px;
  }
  .pre{
    position: absolute;
    left: 35px;
    bottom: -50px;
    border-left: 2px solid #636363;
    border-bottom: 2px solid #636363;
  }
  .next{
    right: 35px;
    position: absolute;
    z-index: 11;
    left: auto;
  }
}
</style>
<template>
<div class="tech_support">
  <div class="comm_width">
    <div class="tech_title">
      {{ title }} 
    </div>
    <div class="tech_des" v-if="subtitle">
      {{ subtitle }}
    </div>

    <!--  -->
    <div class="vertical_slider_pane" @mouseover="toggle_hover(true)" @mouseout="toggle_hover(false)">

      <div class="pre" @click="change(-1)" v-if="data.length > 1"></div>
      <div class="content_pane" v-for="item, index in data" v-if="selected == index" :key="index">
        <div class="content_img" v-bind:style="get_bg(item.src)">
        </div>
        <div class="content_text_ct">
          <div class="conent_title" v-if="item.title" :style="item.title_style">
            {{ item.title }}
          </div>
          <div class="content_des">
            {{ item.description }}
          </div>
          <div class="content_tag">
            {{ item.tag }}
          </div>
          <div class="page_num" v-if="data.length > 1">
            <span class="pn1">{{ index + 1 }}</span>/<span class="pn2">{{ data.length }}</span>
          </div>
        </div>
      </div>
      <div class="pre next" @click="change()" v-if="data.length > 1"></div>
    </div>
    <!--  -->
    
  </div>
  <text_slider :data="data" @change="change" v-model="selected" :hover="hover" :hide_bar="true" :wait_time="50" :step_change="step_change"></text_slider>
</div>
</template>
<script>
import { lang, set_lang } from '@/data/langs/index.js'
import text_slider from '@/components/text_slider.vue'
export default {
  data () {
    return {
      lang,
      selected: 0,
      hover: false,
      step_change: 0
    }
  },
  props: {
    title: {
      type: String,
      default () {
        return '产品简介'
      }
    },
    subtitle: {
      type: String,
      default () {
        return '运用区块链底层技术帮助您与外部合作伙伴和客户紧密合作'
      }
    },
    data: {
      type: Array,
      default () {
        return [
          {
            'src': '数与产品简介-配图@2x.png',
            'tag': '数与科技',
            'title': '',
            'description': `数与区块链服务平台是基于可定制结构化权责证明共识SDPOA的
            国产可控区块链底层技术服务框架，由数与科技自主创新研发，
            拥有开箱即用、高性能、低延时、高隐私、高可拓展等技术领先
            优势，并支持多链跨链、可插拔自定义共识插件、智能合约管理
            平台、完备开发者工具等多种技术服务。`
          },
        ]
      }
    },
    description: {
      type: String,
      default () {
        return `数与区块链服务平台是基于可定制结构化权责证明共识SDPOA的
            国产可控区块链底层技术服务框架，由数与科技自主创新研发，
            拥有开箱即用、高性能、低延时、高隐私、高可拓展等技术领先
            优势，并支持多链跨链、可插拔自定义共识插件、智能合约管理
            平台、完备开发者工具等多种技术服务。3`
      }
    }
  },
  methods: {
    select (index) {
      this.selected = index;
    },

    toggle_hover (status) {
      this.hover = status;
    },

    change (step = 1) {
      let t = new Date().getTime();
      this.step_change = step > 0 ? t : -t;
    },

    get_bg (url) {
      return {
        'backgroundImage': `url(${url})`,
        'backgroundSize': 'cover'
      }
    },
  },
  components: {
    text_slider
  }
}
</script>




